org.apache.lucene.analysis.opennlp.tools

## Class NLPNERTaggerOp

- java.lang.Object
- - org.apache.lucene.analysis.opennlp.tools.NLPNERTaggerOp

    public class NLPNERTaggerOp
    extends Object

Supply OpenNLP Named Entity Resolution tool Requires binary models from OpenNLP project on SourceForge. Usage: from the OpenNLP documentation: "The NameFinderME class is not thread safe, it must only be called from one thread. To use multiple threads multiple NameFinderME instances sharing the same model instance can be created. The input text should be segmented into documents, sentences and tokens. To perform entity detection an application calls the find method for every sentence in the document. After every document clearAdaptiveData must be called to clear the adaptive data in the feature generators. Not calling clearAdaptiveData can lead to a sharp drop in the detection rate after a few documents."

### Constructor Summary

Constructors
Constructor and Description
`NLPNERTaggerOp(opennlp.tools.namefind.TokenNameFinderModel model)`

### Method Summary

All Methods Instance Methods Concrete Methods
`opennlp.tools.util.Span[]` `getNames(String[] words)`
`void` `reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NLPNERTaggerOp

    public NLPNERTaggerOp(opennlp.tools.namefind.TokenNameFinderModel model)

### Method Detail

#### getNames

    public opennlp.tools.util.Span[] getNames(String[] words)

#### reset

    public void reset()